Wait for session
Wait for a session agent loop to become idle.
POST
/api/session/{sessionID}/waitPath parameters
sessionIDobjectrequiredResponses
204<No Content>
400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError
Any of:
SessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequired503ServiceUnavailableError
_tagstringrequiredAllowed:
ServiceUnavailableErrormessagestringrequiredservicestring | anyShow propertiesHide properties
Any of:
string
stringany
anyRequest
curl -X POST "/api/session/%5Bobject%20Object%5D/wait"const response = await fetch("/api/session/%5Bobject%20Object%5D/wait", {
method: "POST"
});import requests
response = requests.post(
"/api/session/%5Bobject%20Object%5D/wait",
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "SessionNotFoundError",
"sessionID": "string",
"message": "string"
}{
"_tag": "ServiceUnavailableError",
"message": "string",
"service": "string"
}